Package org.codehaus.janino

# Interface Visitor.TypeDeclarationVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.TypeDeclarationVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.TypeDeclaration`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAnonymousClassDeclaration(Java.AnonymousClassDeclaration acd)`
Invoked by `Java.AnonymousClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitEnumConstant(Java.EnumConstant ec)`
Invoked by `Java.EnumConstant.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitLocalClassDeclaration(Java.LocalClassDeclaration lcd)`
Invoked by `Java.LocalClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`
Invoked by `Java.MemberAnnotationTypeDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitMemberClassDeclaration(Java.MemberClassDeclaration mcd)`
Invoked by `Java.MemberClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitMemberEnumDeclaration(Java.MemberEnumDeclaration med)`
Invoked by `Java.MemberEnumDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`
Invoked by `Java.MemberInterfaceDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitPackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration pmatd)`
Invoked by `Java.PackageMemberAnnotationTypeDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitPackageMemberClassDeclaration(Java.PackageMemberClassDeclaration pmcd)`
Invoked by `Java.PackageMemberClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitPackageMemberEnumDeclaration(Java.PackageMemberEnumDeclaration pmed)`
Invoked by `Java.PackageMemberEnumDeclaration.accept(Visitor.TypeDeclarationVisitor)`
`R`
`visitPackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration pmid)`
Invoked by `Java.PackageMemberInterfaceDeclaration.accept(Visitor.TypeDeclarationVisitor)`

## Method Details

### visitAnonymousClassDeclaration

@Nullable R visitAnonymousClassDeclaration(Java.AnonymousClassDeclaration acd) throws EX
Invoked by `Java.AnonymousClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitLocalClassDeclaration

@Nullable R visitLocalClassDeclaration(Java.LocalClassDeclaration lcd) throws EX
Invoked by `Java.LocalClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitPackageMemberClassDeclaration

@Nullable R visitPackageMemberClassDeclaration(Java.PackageMemberClassDeclaration pmcd) throws EX
Invoked by `Java.PackageMemberClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitMemberInterfaceDeclaration

@Nullable R visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid) throws EX
Invoked by `Java.MemberInterfaceDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitPackageMemberInterfaceDeclaration

@Nullable R visitPackageMemberInterfaceDeclaration(Java.PackageMemberInterfaceDeclaration pmid) throws EX
Invoked by `Java.PackageMemberInterfaceDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitMemberClassDeclaration

@Nullable R visitMemberClassDeclaration(Java.MemberClassDeclaration mcd) throws EX
Invoked by `Java.MemberClassDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitEnumConstant

@Nullable R visitEnumConstant(Java.EnumConstant ec) throws EX
Invoked by `Java.EnumConstant.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitMemberEnumDeclaration

@Nullable R visitMemberEnumDeclaration(Java.MemberEnumDeclaration med) throws EX
Invoked by `Java.MemberEnumDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitPackageMemberEnumDeclaration

@Nullable R visitPackageMemberEnumDeclaration(Java.PackageMemberEnumDeclaration pmed) throws EX
Invoked by `Java.PackageMemberEnumDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitMemberAnnotationTypeDeclaration

@Nullable R visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd) throws EX
Invoked by `Java.MemberAnnotationTypeDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`

### visitPackageMemberAnnotationTypeDeclaration

@Nullable R visitPackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration pmatd) throws EX
Invoked by `Java.PackageMemberAnnotationTypeDeclaration.accept(Visitor.TypeDeclarationVisitor)`

Throws:
  `EX`